extends ../../common-templates/layout

block content
  h1 Videos

  if videos.length === 0
    div There are no videos
  else
    table.table
      thead
        tr
          th Title 
          th Published
      tbody
        each video in videos 
          tr
            td
              a(href=`/videos/${video.videoId}`)= video.title || '(No title yet)'
            td= video.publishedDate
